=== debian/changelog ===
scalable-cyrfonts (3.1) unstable; urgency=low

  * New upstream release of URW fonts with new (alpha-version) font
    Chancery.  New font OldSlavic.
  * The TeX support was rewritten.  Now it is more flexible.
  * Added Build-Depends-Indep on m4.
  * Supports Defoma.
  * The fontencoding X2 was removed because it doesn't work properly. 

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 21 Feb 2002 22:21:26 +0200

scalable-cyrfonts (3.0) unstable; urgency=low

  * Added new 8 fonts by Valek Fillipov.
  * The fonts from BlackCat Linux are removed.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 30 Oct 2001 22:31:49 +0200

scalable-cyrfonts (2.3) unstable; urgency=low

  * Fixed wrong count of fonts in fonts.scale.  Now the count is
    authomatically computable.
  * First version with support for Unicode.
  * scalable-cyrfonts-tex: cyrfonts.map wrongly used pfa fonts, but since
    version 2.2 the package contains pfb fonts.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 23 Jun 2001 11:49:22 +0300

scalable-cyrfonts (2.2) unstable; urgency=low

  * Fixed a typo in fonts-scale.m4 which caused bad formated fonts.scale.
  * Changed GSFONTS and RELATIVE_GSFONTS because the fonts in gsfonts
    changed their place.  Build-Depend-Indep on gsfonts (6.0-2).
  * scalable-cyrfonts-x11: Times, Helvetica and Courier are not provided
    via fonts.alias but in fonts.{dir,scale}.
  * scalable-cyrfonts-x11: Helvetica and Courier have oblique variants but
    not italic and Times has only italic but not oblique.
  * PFB fonts instead of PFA.
  * scalable-cyrfonts conflicts with older versions of
    scalable-cyrfonts-{x11,tex}.  scalable-cyrfonts-{x11,tex} require the
    same version of scalable-cyrfonts.
  * Symlinks of AFM files are added in scalable-cyrfonts-x11.
  * I haven't had a time to make use of defoma. :-(

 -- Anton Zinoviev <zinoviev@debian.org>  Fri,  8 Jun 2001 11:32:10 +0300

scalable-cyrfonts (2.1) unstable; urgency=low

  * Adapted to use debhelper.
  * Some changes because of the changes in tetex-src package.
  * Double exclamation signs in *.scale and *.alias files.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed,  2 May 2001 23:14:29 +0300

scalable-cyrfonts (2.0) unstable; urgency=low

  * First upload to Debian.
  * Complete remake of the TeX part.  Used fontinst instead of
    afm2tfm.
  * The package is made multibinary: scalable-cyrfonts,
    scalable-cyrfonts-tex and scalable-cyrfonts-x11.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 11 Feb 2001 17:11:19 +0200

scalable-cyrfonts (1.0) unstable; urgency=low

  * First version.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 5 Feb 2001 23:31:35 +0200
