=== debian/control ===
Source: scalable-cyrfonts
Maintainer: Anton Zinoviev <zinoviev@debian.org>
Section: text
Priority: optional
Standards-Version: 3.1.1.1
Build-Depends-Indep: xutils, tetex-base, tetex-bin, tetex-src (>= 1.0.1+20000804-1), gsfonts (>= 6.0-2), tar (>= 1.13.18), t1utils, sysutils, debhelper (>= 3), defoma (>= 0.7.0), m4

Package: scalable-cyrfonts
Architecture: all
Description: scalable Cyrillic fonts
 This package includes Cyrillic Type1 fonts for the following font
 families: Times, Helvetica, Courier, Avant Garde, Palatino, New
 Century Schoolbook, Bookman Light and Teams.
Section: text
Priority: optional
Depends: defoma (>= 0.5.0)
Conflicts: scalable-cyrfonts-tex (<< 2.2), scalable-cyrfonts-x11 (<< 2.2)

Package: scalable-cyrfonts-tex
Architecture: all
Description: scalable Cyrillic fonts for TeX
 This package makes the fonts from the package scalable-cyrfonts
 available to TeX.  It installs all needed TeX font metric files,
 virtual fonts, font definitions and some style packages.
 .
 Please read the file /usr/share/doc/scalable-cyrfonts-tex/README.Debian.
Section: tex
Priority: optional
Depends: scalable-cyrfonts (= 3.1), tetex-base, tetex-bin

Package: scalable-cyrfonts-x11
Architecture: all
Description: scalable Cyrillic fonts for X
 This package makes the fonts from the package scalable-cyrfonts
 available to the X server or font server.
 .
 For proper reencoding it needs capable X server or font server.
Section: x11
Priority: optional
Depends: scalable-cyrfonts (= 3.1), xutils (>> 4.0.3)
Recommends: xfs (>=4.0) | xserver-xfree86
Conflicts: xbase-clients (<< 4.0)
