=== debian/rules ===
#!/usr/bin/make -f

#    Copyright (C) 2000,2001 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org

DH_COMPAT=3
export DH_COMPAT

# We need a very large TeX...
TEXMFCNF=.:/etc/texmf
export TEXMFCNF

SHELL = /bin/sh
package = scalable-cyrfonts
RELATIVE_GSFONTS = share/fonts/type1/scalable-cyrfonts
GSFONTS = /usr/$(RELATIVE_GSFONTS)
TEXMFROOT = usr/share/texmf
XFONTS = usr/X11R6/lib/X11/fonts

build:
	dh_testdir
	$(MAKE)
	-rm -rf fontinst2
	mkdir fontinst2
	cp fontinst/*.sty fontinst/*.fd fontinst/*.vf fontinst/*.tfm fontinst2
	-rm fontinst2/psyr*
	./hintfile.awk <fontinfo >debian/scalable-cyrfonts.defoma-hints
	touch build

clean:
	dh_testdir
	-$(MAKE) clean
	-rm -rf fontinst2
	-rm build firstbuild
	-rm debian/*.defoma-hints
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -d debian/scalable-cyrfonts/$(GSFONTS)
	cp pfb/* debian/scalable-cyrfonts/$(GSFONTS)/
	cp afm/* debian/scalable-cyrfonts/$(GSFONTS)/
# tex
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips
	cp fontinst/cyrfonts.map debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
	cp 6r.enc debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(package)-tex
	cd pfb; for i in *.pfb; do \
		ln -s ../../../../../../$(RELATIVE_GSFONTS)/$$i \
		../debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(package)-tex/; \
	done
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(package)-tex
	cd afm; for i in *.afm; do \
		ln -s ../../../../../../$(RELATIVE_GSFONTS)/$$i \
		../debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(package)-tex; \
	done
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(package)-tex
	cp fontinst/*.tfm debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(package)-tex/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(package)-tex
	cp fontinst/*.vf debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(package)-tex/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss
	cp fontinst/*.fd debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/
	cp fontinst/*.sty debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/
# x11
	install -d debian/scalable-cyrfonts-x11/etc/X11/fonts/Type1
	cp fonts.scale debian/scalable-cyrfonts-x11/etc/X11/fonts/Type1/$(package)-x11.scale
	cp fonts.alias debian/scalable-cyrfonts-x11/etc/X11/fonts/Type1/$(package)-x11.alias
	install -d debian/scalable-cyrfonts-x11/usr/X11R6/lib/X11/fonts/Type1
	cd pfb; for i in *.pfb; do \
		ln -s ../../../../../$(RELATIVE_GSFONTS)/$$i \
		../debian/scalable-cyrfonts-x11/$(XFONTS)/Type1/; \
	done
	cd afm; for i in *.afm; do \
		ln -s ../../../../../$(RELATIVE_GSFONTS)/$$i \
		../debian/scalable-cyrfonts-x11/$(XFONTS)/Type1/; \
	done

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installxfonts
#	dh_installdefoma
	install -D -m 644 debian/scalable-cyrfonts.defoma-hints debian/scalable-cyrfonts/etc/defoma/hints/scalable-cyrfonts.hints
	dh_installdocs doc/* debian/test.pdf
	dh_installchangelogs
#	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

#.PHONY: build clean binary-indep binary-arch binary install
