=== debian/changelog ===
scalable-cyrfonts (4.3) unstable; urgency=low

  * Add Serbian glyphs to the URW-based fonts.  Patch provided by Danilo
    Segan.  Thanks to Frank Murphy, closes: #230840.
  * Add stressed Cyrillic letter I to the fonts that miss it but have
    regular Cyrillic letter I and grave.  Thanks to Alexander Shopov,
    closes: #178399.
  * The fonts were registered to defoma with wrong paths.  Now they are
    moved from /usr/share/fonts/type1/t1-{cyrillic,teams,oldslavic} to
    /usr/share/fonts/type1/{cyrillic,teams,oldslavic}.  This fixes the
    broken links in /var/lib/defoma. 
  * New target in debian/rules to create tar.gz package with the fonts.
    The fonts in Debian differ from upstream and it makes sence to
    create a package for non-Debian users.  I added also a target for zip
    package with fonts for MS Windows.  Add build-depends on zip and
    sysutils (for /usr/bin/todos).
  
 -- Anton Zinoviev <zinoviev@debian.org>  Fri,  7 May 2004 14:23:43 +0300

scalable-cyrfonts (4.2) unstable; urgency=low

  * Removed the gliphs for Cyrillic letters dje and tshe (small and
    capital).  Thanks to Stefan Baums (closes: #227646).

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 21 Jan 2004 13:48:33 +0200

scalable-cyrfonts (4.1) unstable; urgency=low

  * The location of the default texmf.cnf file in recent Debian TeX
    packages changed from /etc/texmf to /var/lib/texmf/web2c, hence
    the value of TEXMFCNF in fontinst/Makefile should be changed.  Bun in
    order to avoid future problems in case that the location of
    texmf.cnf again changes I decided to include some example texmf.cnf in
    fontinst/texmf.cnf.  Now scalable-cyrfonts doesn't depend on the
    Debian system texmf.cnf during its compilation.  Thanks to Daniel
    Schepler (closes: #209017).
	
 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 19 Sep 2003 14:09:37 +0300

scalable-cyrfonts (4.0) unstable; urgency=low

  * New binary packages to follow the usual in Debian font package
    naming policy (fontformat-family).  The old scalable-cyrfonts is
    replaced by t1-cyrillic, t1-teams and t1-oldslavic.
  * The old scalable-cyrfonts-x11 is removed.  For now the font
    packages depend on xutils because I don't want to double them (as
    the packages gsfonts and gsfonts-x11).  In future this dependency can
    be removed when the postinst of xutils cares to update the Type1 font
    directory by itself or some package symilar to x-ttcidfont-conf is
    used. 
  * The fontnames are changed in order to avoid possible trademark
    infringements as this was suggested in debian-legal.  The word
    `Free' ensures uniqueness of our names and the other part of the
    names are English words (which ensures they are not registered).
  * New upstream release of the URW fonts.  The new Courier fonts
    (packaged as `Free Courier') have `isFixedPitch true' in their
    FontInfo dictionary.  Thanks to Juliusz Chroboczek (closes: #177917).
  * The source package contains .sfd rather than .pfb fonts.  They are
    automaticaly converted to .pfb format by pfaedit.
  * Type1 fonts preserve their original encoding.  In former packages they
    were reencoded to cp1251 because StarOffice 5.1 needed such encoding.
  * Fixed non-existing font in fonts.alias of the former package
    scalable-cyrfonts-x11. 
  * The build dependencies are properly classified into Build-Depends
    and Build-Depends-Indep.  Thanks to Junichi Uekawa (closes: #158349).
  * The TeX support is on different princible.  Now there is much better
    support for the latin TeX encodings (OT1 and T1).
  * The family of the narrowed versions of Helvetian is `Free Helvetian
    Condensed' instead of `Free Helvetian' with width `condensed'.  This
    is so because many applications seam to ignore fonts with width !=
    normal when fonts with width == normal are present. 
  * postinst and postrm of t1-* invoke xftcache and fc-cache if present.
  * Updated `Standards-Version': 3.5.10.
	
 -- Anton Zinoviev <zinoviev@debian.org>  Mon,  9 Jun 2003 10:43:59 +0200

scalable-cyrfonts (3.2) unstable; urgency=low

  * Added Build-Depends-Indep on bzip2, thanks to Junichi Uekawa.
    Closes: #142101.
  * Updated Standards-Version: 3.5.6.1.
  * Use dh_link instead of ln -s in the rules file in order to avoid
    lengthy symlinks (too many ../../..).

 -- Anton Zinoviev <zinoviev@debian.org>  Sun,  2 Jun 2002 22:15:57 +0300
